﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 28/11/2019 21:10:25
-- Server version: 5.5.5-10.1.38-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE medialibrary;

--
-- Drop table `albumes`
--
DROP TABLE IF EXISTS albumes;

--
-- Drop table `autor`
--
DROP TABLE IF EXISTS autor;

--
-- Drop table `comics`
--
DROP TABLE IF EXISTS comics;

--
-- Drop table `creadororiginal`
--
DROP TABLE IF EXISTS creadororiginal;

--
-- Drop table `directorpeliculas`
--
DROP TABLE IF EXISTS directorpeliculas;

--
-- Drop table `directorseries`
--
DROP TABLE IF EXISTS directorseries;

--
-- Drop table `genero`
--
DROP TABLE IF EXISTS genero;

--
-- Drop table `libros`
--
DROP TABLE IF EXISTS libros;

--
-- Drop table `miembro`
--
DROP TABLE IF EXISTS miembro;

--
-- Drop table `peliculas`
--
DROP TABLE IF EXISTS peliculas;

--
-- Drop table `podcasts`
--
DROP TABLE IF EXISTS podcasts;

--
-- Drop table `series`
--
DROP TABLE IF EXISTS series;

--
-- Drop table `guardan`
--
DROP TABLE IF EXISTS guardan;

--
-- Drop table `media`
--
DROP TABLE IF EXISTS media;

--
-- Drop table `hacen`
--
DROP TABLE IF EXISTS hacen;

--
-- Drop table `usuarios`
--
DROP TABLE IF EXISTS usuarios;

--
-- Drop table `reviews`
--
DROP TABLE IF EXISTS reviews;

--
-- Set default database
--
USE medialibrary;

--
-- Create table `reviews`
--
CREATE OR REPLACE TABLE reviews (
  idreview varchar(20) NOT NULL,
  contenido text DEFAULT NULL,
  puntuacion decimal(10, 0) DEFAULT NULL,
  PRIMARY KEY (idreview)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `usuarios`
--
CREATE OR REPLACE TABLE usuarios (
  idusuario varchar(20) NOT NULL,
  PRIMARY KEY (idusuario)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `hacen`
--
CREATE OR REPLACE TABLE hacen (
  idusuario varchar(20) NOT NULL,
  idreview varchar(20) NOT NULL,
  PRIMARY KEY (idusuario, idreview)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create foreign key
--
ALTER TABLE hacen
ADD CONSTRAINT fk_idhacen FOREIGN KEY (idusuario)
REFERENCES usuarios (idusuario);

--
-- Create foreign key
--
ALTER TABLE hacen
ADD CONSTRAINT fk_reviews FOREIGN KEY (idreview)
REFERENCES reviews (idreview) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `media`
--
CREATE OR REPLACE TABLE media (
  idmedia varchar(20) NOT NULL,
  media_usuario decimal(10, 0) DEFAULT NULL,
  puntuacion decimal(10, 0) DEFAULT NULL,
  nombre varchar(20) DEFAULT NULL,
  fecha_lanzamiento date DEFAULT NULL,
  puntuacion_criticos decimal(10, 0) DEFAULT NULL,
  PRIMARY KEY (idmedia)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `guardan`
--
CREATE OR REPLACE TABLE guardan (
  idusuario varchar(20) NOT NULL,
  idmedia varchar(20) NOT NULL,
  PRIMARY KEY (idusuario, idmedia)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create foreign key
--
ALTER TABLE guardan
ADD CONSTRAINT fk_idguardan FOREIGN KEY (idusuario)
REFERENCES usuarios (idusuario);

--
-- Create foreign key
--
ALTER TABLE guardan
ADD CONSTRAINT fk_media FOREIGN KEY (idmedia)
REFERENCES media (idmedia) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `series`
--
CREATE OR REPLACE TABLE series (
  idserie varchar(20) NOT NULL,
  canal varchar(20) DEFAULT NULL,
  temporadas int(11) DEFAULT NULL,
  episodios int(11) DEFAULT NULL,
  PRIMARY KEY (idserie)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `podcasts`
--
CREATE OR REPLACE TABLE podcasts (
  idpodcast varchar(20) NOT NULL,
  nombre varchar(20) DEFAULT NULL,
  num_episodios int(11) DEFAULT NULL,
  PRIMARY KEY (idpodcast)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `peliculas`
--
CREATE OR REPLACE TABLE peliculas (
  idpelicula varchar(20) NOT NULL,
  productora varchar(20) DEFAULT NULL,
  PRIMARY KEY (idpelicula)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `miembro`
--
CREATE OR REPLACE TABLE miembro (
  idmiembro varchar(20) NOT NULL,
  miembro varchar(20) DEFAULT NULL,
  PRIMARY KEY (idmiembro)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `libros`
--
CREATE OR REPLACE TABLE libros (
  idlibro varchar(20) NOT NULL,
  editorial varchar(20) DEFAULT NULL,
  num_ediciones int(11) DEFAULT NULL,
  PRIMARY KEY (idlibro)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `genero`
--
CREATE OR REPLACE TABLE genero (
  idgenero varchar(20) NOT NULL,
  peliculas_codigo varchar(20) DEFAULT NULL,
  genero varchar(20) DEFAULT NULL,
  PRIMARY KEY (idgenero)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `directorseries`
--
CREATE OR REPLACE TABLE directorseries (
  iddirectorserie varchar(20) NOT NULL,
  director varchar(20) DEFAULT NULL,
  PRIMARY KEY (iddirectorserie)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `directorpeliculas`
--
CREATE OR REPLACE TABLE directorpeliculas (
  iddirector varchar(20) NOT NULL,
  director varchar(20) DEFAULT NULL,
  PRIMARY KEY (iddirector)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `creadororiginal`
--
CREATE OR REPLACE TABLE creadororiginal (
  idcreador varchar(20) NOT NULL,
  creador_original varchar(20) DEFAULT NULL,
  PRIMARY KEY (idcreador)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `comics`
--
CREATE OR REPLACE TABLE comics (
  idcomic varchar(20) NOT NULL,
  num_entregas int(11) DEFAULT NULL,
  num_reboots int(11) DEFAULT NULL,
  PRIMARY KEY (idcomic)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `autor`
--
CREATE OR REPLACE TABLE autor (
  idautor varchar(20) NOT NULL,
  autor varchar(20) DEFAULT NULL,
  PRIMARY KEY (idautor)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

--
-- Create table `albumes`
--
CREATE OR REPLACE TABLE albumes (
  idalbum varchar(20) NOT NULL,
  grupo varchar(20) DEFAULT NULL,
  discografica varchar(20) DEFAULT NULL,
  PRIMARY KEY (idalbum)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

-- 
-- Dumping data for table reviews
--
-- Table medialibrary.reviews does not contain any data (it is empty)

-- 
-- Dumping data for table usuarios
--
-- Table medialibrary.usuarios does not contain any data (it is empty)

-- 
-- Dumping data for table media
--
-- Table medialibrary.media does not contain any data (it is empty)

-- 
-- Dumping data for table series
--
-- Table medialibrary.series does not contain any data (it is empty)

-- 
-- Dumping data for table podcasts
--
-- Table medialibrary.podcasts does not contain any data (it is empty)

-- 
-- Dumping data for table peliculas
--
-- Table medialibrary.peliculas does not contain any data (it is empty)

-- 
-- Dumping data for table miembro
--
-- Table medialibrary.miembro does not contain any data (it is empty)

-- 
-- Dumping data for table libros
--
-- Table medialibrary.libros does not contain any data (it is empty)

-- 
-- Dumping data for table hacen
--
-- Table medialibrary.hacen does not contain any data (it is empty)

-- 
-- Dumping data for table guardan
--
-- Table medialibrary.guardan does not contain any data (it is empty)

-- 
-- Dumping data for table genero
--
-- Table medialibrary.genero does not contain any data (it is empty)

-- 
-- Dumping data for table directorseries
--
-- Table medialibrary.directorseries does not contain any data (it is empty)

-- 
-- Dumping data for table directorpeliculas
--
-- Table medialibrary.directorpeliculas does not contain any data (it is empty)

-- 
-- Dumping data for table creadororiginal
--
-- Table medialibrary.creadororiginal does not contain any data (it is empty)

-- 
-- Dumping data for table comics
--
-- Table medialibrary.comics does not contain any data (it is empty)

-- 
-- Dumping data for table autor
--
-- Table medialibrary.autor does not contain any data (it is empty)

-- 
-- Dumping data for table albumes
--
-- Table medialibrary.albumes does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;